gnome-system-tools: boot-admin breaks dual boot configuration

Bug #12649 reported by Debian Bug Importer on 2005-02-08
8
Affects Status Importance Assigned to Milestone
gnome-system-tools (Debian)
Fix Released
Unknown
gnome-system-tools (Ubuntu)
High
Sebastien Bacher

Bug Description

Automatically imported from Debian bug report #281568 http://bugs.debian.org/281568

severity 281568 critical

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #281568 http://bugs.debian.org/281568

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 16 Nov 2004 18:16:22 +0000
From: Jo Shields <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: gnome-system-tools: boot-admin breaks dual boot configuration

Package: gnome-system-tools
Version: 1.0.0-1
Severity: important

The boot-admin program allows users to easily tweak their GRUB
configuration. However, any configuration changes made result in a new
configuration being written. This lacks the automagic kernel references
in a standard update-grub'd menu.list, and as a result, the next time
update-grub is run (by a kernel upgrade, for example), any entries which
are not considered automagic (i.e. all of them) are lost, those that are
not recreated (i.e. non-/boot-kernels) are lost entirely. This includes,
notably,
any Windows dual boot facility.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8

Versions of packages gnome-system-tools depends on:
ii libart-2.0-2 2.3.16-6 Library of functions for 2D
graphi
ii libatk1.0-0 1.6.1-5 The ATK accessibility toolkit
ii libbonobo2-0 2.6.2-7 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.6.1-1 The Bonobo UI library
ii libc6 2.3.2.ds1-18 GNU C Library: Shared
libraries an
ii libgconf2-4 2.6.4-2 GNOME configuration
database syste
ii libglade2-0 1:2.4.0-1 Library to load .glade
files at ru
ii libglib2.0-0 2.4.7-1 The GLib library of C routines
ii libgnome2-0 2.6.1.2-2 The GNOME 2 library -
runtime file
ii libgnomecanvas2-0 2.6.1.1-2 A powerful object-oriented
display
ii libgnomeui-0 2.6.1.1cvs-1 The GNOME 2 libraries (User
Interf
ii libgnomevfs2-0 2.6.2-2 The GNOME virtual
file-system libr
ii libgtk2.0-0 2.4.13-1 The GTK+ graphical user
interface
ii libice6 4.3.0.dfsg.1-8 Inter-Client Exchange library
ii liborbit2 1:2.10.2-1.1 libraries for ORBit2 - a
CORBA ORB
ii libpango1.0-0 1.4.1-4 Layout and rendering of
internatio
ii libpopt0 1.7-5 lib for parsing cmdline
parameters
ii libsm6 4.3.0.dfsg.1-8 X Window System Session
Management
ii libxml2 2.6.11-5 GNOME XML library
ii perl 5.8.4-3 Larry Wall's Practical
Extraction
ii xlibs 4.3.0.dfsg.1-8 X Window System client
libraries m
ii zlib1g 1:1.2.2-1 compression library - runtime

-- no debconf information

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 08 Feb 2005 12:09:16 +0000
From: Jo Shields <email address hidden>
To: <email address hidden>

severity 281568 critical

gnome-system-tools is a configuration utility. In Debian, configuration
utilities can do anything, no matter how stupid, without it being
considered an RC bug. The reasoning is that the administrator chooses
to run the program; hence if chaos results then it is the admin's own
fault. He should have known better.

If a higher standard than this were applied to gnome-system-tools --
e.g., if the standard were applied that g-s-t should not mangle system
configuration files or dupe the admin into doing so, then g-s-t would
not be releasable. (See the many bugs open against g-s-t in the Debian
BTS.) If it couldn't be released with sarge then neither could the
"gnome" package, which depends on it. You don't want sarge releasing
without GNOME, do you?

(P.S. Please note that this is my sarcastic way of saying that this bug
report is an additional reason for deeming g-s-t not to be of release
quality.)
--
Thomas Hood <email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-Id: <1107883885.4128.190.camel@thanatos>
Date: Tue, 08 Feb 2005 18:31:24 +0100
From: Thomas Hood <email address hidden>
To: <email address hidden>
Subject: g-s-t, high quality program

gnome-system-tools is a configuration utility. In Debian, configuration
utilities can do anything, no matter how stupid, without it being
considered an RC bug. The reasoning is that the administrator chooses
to run the program; hence if chaos results then it is the admin's own
fault. He should have known better.

If a higher standard than this were applied to gnome-system-tools --
e.g., if the standard were applied that g-s-t should not mangle system
configuration files or dupe the admin into doing so, then g-s-t would
not be releasable. (See the many bugs open against g-s-t in the Debian
BTS.) If it couldn't be released with sarge then neither could the
"gnome" package, which depends on it. You don't want sarge releasing
without GNOME, do you?

(P.S. Please note that this is my sarcastic way of saying that this bug
report is an additional reason for deeming g-s-t not to be of release
quality.)
--
Thomas Hood <email address hidden>

On Tue, 2005-02-08 at 18:31 +0100, Thomas Hood wrote:
> gnome-system-tools is a configuration utility. In Debian, configuration
> utilities can do anything, no matter how stupid, without it being
> considered an RC bug. The reasoning is that the administrator chooses
> to run the program; hence if chaos results then it is the admin's own
> fault. He should have known better.
>
> If a higher standard than this were applied to gnome-system-tools --
> e.g., if the standard were applied that g-s-t should not mangle system
> configuration files or dupe the admin into doing so, then g-s-t would
> not be releasable. (See the many bugs open against g-s-t in the Debian
> BTS.) If it couldn't be released with sarge then neither could the
> "gnome" package, which depends on it. You don't want sarge releasing
> without GNOME, do you?
>
> (P.S. Please note that this is my sarcastic way of saying that this bug
> report is an additional reason for deeming g-s-t not to be of release
> quality.)

Thomas,

You should contact the correct BTS (yes, upstream! gnome one!
surprisingly, debian is not the only distro under the sun, nor the only
one that g-s-t supports, nor has the only and one BTS I must read) with
a copy of the file that fails or a test-case (that should be clever
indeed), instead of blaming blindly with your offending and annoying
sarcasm

but notice that if it hasn't been fixed before, it's because I couldn't
experiment this, and because I can't magically know the config files
that the people have

 now let's try to be helpful

Debian Bug Importer (debzilla) wrote :

Message-Id: <1107891816.6412.30.camel@filemon>
Date: Tue, 08 Feb 2005 20:43:36 +0100
From: Carlos Garnacho <email address hidden>
To: <email address hidden>, Thomas Hood <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#281568: g-s-t, high quality program

On Tue, 2005-02-08 at 18:31 +0100, Thomas Hood wrote:
> gnome-system-tools is a configuration utility. In Debian, configuration
> utilities can do anything, no matter how stupid, without it being
> considered an RC bug. The reasoning is that the administrator chooses
> to run the program; hence if chaos results then it is the admin's own
> fault. He should have known better.
>
> If a higher standard than this were applied to gnome-system-tools --
> e.g., if the standard were applied that g-s-t should not mangle system
> configuration files or dupe the admin into doing so, then g-s-t would
> not be releasable. (See the many bugs open against g-s-t in the Debian
> BTS.) If it couldn't be released with sarge then neither could the
> "gnome" package, which depends on it. You don't want sarge releasing
> without GNOME, do you?
>
> (P.S. Please note that this is my sarcastic way of saying that this bug
> report is an additional reason for deeming g-s-t not to be of release
> quality.)

Thomas,

You should contact the correct BTS (yes, upstream! gnome one!
surprisingly, debian is not the only distro under the sun, nor the only
one that g-s-t supports, nor has the only and one BTS I must read) with
a copy of the file that fails or a test-case (that should be clever
indeed), instead of blaming blindly with your offending and annoying
sarcasm

but notice that if it hasn't been fixed before, it's because I couldn't
experiment this, and because I can't magically know the config files
that the people have

 now let's try to be helpful

Carlos Garnacho wrote:

>On Tue, 2005-02-08 at 18:31 +0100, Thomas Hood wrote:
>
>
>>gnome-system-tools is a configuration utility. In Debian, configuration
>>utilities can do anything, no matter how stupid, without it being
>>considered an RC bug. The reasoning is that the administrator chooses
>>to run the program; hence if chaos results then it is the admin's own
>>fault. He should have known better.
>>
>>If a higher standard than this were applied to gnome-system-tools --
>>e.g., if the standard were applied that g-s-t should not mangle system
>>configuration files or dupe the admin into doing so, then g-s-t would
>>not be releasable. (See the many bugs open against g-s-t in the Debian
>>BTS.) If it couldn't be released with sarge then neither could the
>>"gnome" package, which depends on it. You don't want sarge releasing
>>without GNOME, do you?
>>
>>(P.S. Please note that this is my sarcastic way of saying that this bug
>>report is an additional reason for deeming g-s-t not to be of release
>>quality.)
>>
>>
>
>Thomas,
>
>You should contact the correct BTS (yes, upstream! gnome one!
>surprisingly, debian is not the only distro under the sun, nor the only
>one that g-s-t supports, nor has the only and one BTS I must read) with
>a copy of the file that fails or a test-case (that should be clever
>indeed), instead of blaming blindly with your offending and annoying
>sarcasm
>
>but notice that if it hasn't been fixed before, it's because I couldn't
>experiment this, and because I can't magically know the config files
>that the people have
>
> now let's try to be helpful
>
>

As requested. menu.list.correct is the original file. menu.list.gnomed
is the same file after running boot-admin, saving without changing
anything. menu.list.grubbed is menu.lst after update-grub has run on the
boot-admin'd file. Note boot-admin drops the ### END DEBIAN AUTOMAGIC
KERNELS LIST, so update-grub assumes all entries in the file can be
wiped & recreated from /boot.

Debian Bug Importer (debzilla) wrote :
Download full text (13.6 KiB)

Message-ID: <email address hidden>
Date: Tue, 08 Feb 2005 21:43:43 +0000
From: Jo Shields <email address hidden>
To: <email address hidden>
Subject: Re: Bug#281568: g-s-t, high quality program

--------------070806040200040501040508
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Carlos Garnacho wrote:

>On Tue, 2005-02-08 at 18:31 +0100, Thomas Hood wrote:
>
>
>>gnome-system-tools is a configuration utility. In Debian, configuration
>>utilities can do anything, no matter how stupid, without it being
>>considered an RC bug. The reasoning is that the administrator chooses
>>to run the program; hence if chaos results then it is the admin's own
>>fault. He should have known better.
>>
>>If a higher standard than this were applied to gnome-system-tools --
>>e.g., if the standard were applied that g-s-t should not mangle system
>>configuration files or dupe the admin into doing so, then g-s-t would
>>not be releasable. (See the many bugs open against g-s-t in the Debian
>>BTS.) If it couldn't be released with sarge then neither could the
>>"gnome" package, which depends on it. You don't want sarge releasing
>>without GNOME, do you?
>>
>>(P.S. Please note that this is my sarcastic way of saying that this bug
>>report is an additional reason for deeming g-s-t not to be of release
>>quality.)
>>
>>
>
>Thomas,
>
>You should contact the correct BTS (yes, upstream! gnome one!
>surprisingly, debian is not the only distro under the sun, nor the only
>one that g-s-t supports, nor has the only and one BTS I must read) with
>a copy of the file that fails or a test-case (that should be clever
>indeed), instead of blaming blindly with your offending and annoying
>sarcasm
>
>but notice that if it hasn't been fixed before, it's because I couldn't
>experiment this, and because I can't magically know the config files
>that the people have
>
> now let's try to be helpful
>
>

As requested. menu.list.correct is the original file. menu.list.gnomed
is the same file after running boot-admin, saving without changing
anything. menu.list.grubbed is menu.lst after update-grub has run on the
boot-admin'd file. Note boot-admin drops the ### END DEBIAN AUTOMAGIC
KERNELS LIST, so update-grub assumes all entries in the file can be
wiped & recreated from /boot.

--------------070806040200040501040508
Content-Type: text/plain;
 name="menu.list.correct"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="menu.list.correct"

# menu.lst - See: grub(8), info grub, update-grub(8)
# grub-install(8), grub-floppy(8),
# grub-md5-crypt, /usr/share/doc/grub
# and /usr/share/doc/grub-doc/.

## default num
# Set the default entry to the entry number NUM. Numbering starts from 0, and
# the entry number 0 is the default if the command is not used.
#
# You can specify 'saved' instead of a number. In this case, the default entry
# is the entry saved with the command 'savedefault'.
default 0

## timeout sec
# Set a timeout, in SEC seconds, before automatically booting the default entry
# (normally the first entry defined).
timeout 5

# Pretty colours
color ...

# Automatically generated email from bts, devscripts version 2.8.5
severity 281568 important

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 8 Feb 2005 21:21:09 -0800
From: Steve Langasek <email address hidden>
To: <email address hidden>
Subject: severity of 281568 is important

# Automatically generated email from bts, devscripts version 2.8.5
severity 281568 important

On Tue, 2005-02-08 at 20:43 +0100, Carlos Garnacho wrote:
> You should contact the correct BTS (yes, upstream! gnome one!
> surprisingly, debian is not the only distro under the sun, nor the only
> one that g-s-t supports, nor has the only and one BTS I must read) with
> a copy of the file that fails or a test-case (that should be clever
> indeed), instead of blaming blindly with your offending and annoying
> sarcasm

The upstream author of the program doesn't deserve any blame. Normally
upstream authors can't be expected to concern themselves with the
peculiarities of individual distributions.

Debian's variant of g-s-t damages various Debian configuration files.
Bug reports have been filed in the Debian BTS. If you are interested
you can see them here:

   http://bugs.debian.org/gnome-system-tools

The Debian maintainer can't be blamed for leaving these bugs unfixed,
either. People have a limited amount of time to devote to this
volunteer project.

g-s-t is present in sarge even though it is buggy. No one is to blame
for this because no is responsible for assuring the quality of
configuration tools that ship in Debian releases and there is no policy
that dictates that configuration tools must not damage the system.

All this blamelessness means that users are well advised not to trust
configuration tools that ship with Debian.

--
Thomas Hood <email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-Id: <1107939903.4128.242.camel@thanatos>
Date: Wed, 09 Feb 2005 10:05:03 +0100
From: Thomas Hood <email address hidden>
To: Carlos Garnacho <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#281568: g-s-t, high quality program

On Tue, 2005-02-08 at 20:43 +0100, Carlos Garnacho wrote:
> You should contact the correct BTS (yes, upstream! gnome one!
> surprisingly, debian is not the only distro under the sun, nor the only
> one that g-s-t supports, nor has the only and one BTS I must read) with
> a copy of the file that fails or a test-case (that should be clever
> indeed), instead of blaming blindly with your offending and annoying
> sarcasm

The upstream author of the program doesn't deserve any blame. Normally
upstream authors can't be expected to concern themselves with the
peculiarities of individual distributions.

Debian's variant of g-s-t damages various Debian configuration files.
Bug reports have been filed in the Debian BTS. If you are interested
you can see them here:

   http://bugs.debian.org/gnome-system-tools

The Debian maintainer can't be blamed for leaving these bugs unfixed,
either. People have a limited amount of time to devote to this
volunteer project.

g-s-t is present in sarge even though it is buggy. No one is to blame
for this because no is responsible for assuring the quality of
configuration tools that ship in Debian releases and there is no policy
that dictates that configuration tools must not damage the system.

All this blamelessness means that users are well advised not to trust
configuration tools that ship with Debian.

--
Thomas Hood <email address hidden>

Sebastien Bacher (seb128) wrote :

we don't build the boot tool, NOTWARTY

> now let's try to be helpful

So, can anything be done about the bugs that have been filed against
g-s-t in the debian BTS?

--
Thomas Hood <email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-Id: <1109284977.12754.59.camel@thanatos>
Date: Thu, 24 Feb 2005 23:42:57 +0100
From: Thomas Hood <email address hidden>
To: <email address hidden>
Subject: So can anything be done?

> now let's try to be helpful

So, can anything be done about the bugs that have been filed against
g-s-t in the debian BTS?

--
Thomas Hood <email address hidden>

Closing as boot-admin isn't built anymore.

--
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22

Changed in gnome-system-tools:
status: Unconfirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.